package com.playlet.system.service;

import java.util.List;

import com.playlet.system.domain.PlayletTask;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * @Date: 2024-03-21 23:48
 * @Author: 但星霖
 * @Version: v1.0
 * @Description: 任务Service接口
 */
public interface IPlayletTaskService extends IService<PlayletTask> {
    /**
     * 查询任务
     *
     * @param id 任务主键
     * @return 任务
     */
    public PlayletTask selectPlayletTaskById(Long id);

    /**
     * 查询任务列表
     *
     * @param playletTask 任务
     * @return 任务集合
     */
    public List<PlayletTask> selectPlayletTaskList(PlayletTask playletTask);

    /**
     * 新增任务
     *
     * @param playletTask 任务
     * @return 结果
     */
    public int insertPlayletTask(PlayletTask playletTask);

    /**
     * 修改任务
     *
     * @param playletTask 任务
     * @return 结果
     */
    public int updatePlayletTask(PlayletTask playletTask);

    /**
     * 批量删除任务
     *
     * @param ids 需要删除的任务主键集合
     * @return 结果
     */
    public int deletePlayletTaskByIds(String ids);

    /**
     * 删除任务信息
     *
     * @param id 任务主键
     * @return 结果
     */
    public int deletePlayletTaskById(Long id);

    List<PlayletTask> selectPlayletTaskListByUser(PlayletTask playletTask);
}
